const getTabsBttn = document.getElementById("findTabs");
const tabQuery = browser.tabs.query({currentWindow: true});
getTabsBttn.addEventListener("click", searchTabs);

function searchTabs(){ tabQuery.then(logTabs, onError); }

function logTabs(tabs) {
    var toFind = document.getElementById("toGetVal");
    var note = document.getElementById("note");

    for (let tab of tabs) {
        var title = tab.title;
        if (title.toLowerCase().includes(toFind.value)) {
            browser.tabs.update(tab.id, {
                active: true
            });
        }
    }
}

function onError(error) { console.log(`Error: ${error}`); }
